import { aws_route53 as route53 } from 'aws-cdk-lib';
import { Construct } from 'constructs';
/**
 * Construct properties for `SinglePageApp`.
 *
 * @stability stable
 */
export interface SinglePageAppProps {
    /**
     * The path to the build files that are to be deployed to S3.
     *
     * @stability stable
     */
    readonly buildPath: string;
    /**
     * Private hosted zone for DNS.
     *
     * @default - The default is the parent sparkgeo.dev hosted zone.
     * @stability stable
     */
    readonly hostedZone?: route53.HostedZone;
    /**
     * The prefix for this app in the `privateHostedZone` for the app.
     *
     * It is assumed the user has checked to ensure the prefix has not been used.
     *
     * @stability stable
     */
    readonly domainPrefix: string;
}
/**
 * @stability stable
 */
export declare class SinglePageApp extends Construct {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: SinglePageAppProps);
}
